Bug 1130280 - Missing gcc in build dependencies (README)
Summary: Missing gcc in build dependencies (README)
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: openlmi-providers
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Novacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 19:05 UTC by Alois Mahdal
Modified: 2016-12-01 00:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-04 16:38:14 UTC


Attachments (Terms of Use)

Description Alois Mahdal 2014-08-14 19:05:42 UTC
Description of problem:

openlmi-providers fails to compile on F20 without gcc, but it's not mentioned in the README:

Version-Release number of selected component (if applicable):
openlmi-providers, 50c4ce0


How reproducible:
Always

Steps to Reproduce:
 1. Install build-deps mentioned in README
 2. As described in README:

        mkdir -p build && cd build
        cmake .. -DCMAKE_INSTALL_PREFIX=/usr \
                 -DWITH-FAN=0 \
                 -DWITH-POWER=0 \
                 -DWITH-SSSD=0

Actual results:

    -- The C compiler identification is unknown
    CMake Error: your C compiler: "CMAKE_C_COMPILER-NOTFOUND" was not found.
    Please set CMAKE_C_COMPILER to a valid compiler path or name.


Expected results:
Success


Additional info:

Comment 1 Jan Safranek 2014-11-04 16:38:14 UTC
Fixed in upstream git and it will be part of the next release.


Note You need to log in before you can comment on or make changes to this bug.